# Uses of Enum Class
com.logicaldoc.core.runtime.Aspect

Packages that use Aspect
Package
Description
com.logicaldoc.core.runtime

## Uses of Aspect in com.logicaldoc.core.runtime

Methods in com.logicaldoc.core.runtime that return Aspect
Modifier and Type
Method
Description
`static Aspect`
Aspect.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Aspect[]`
Aspect.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.runtime with parameters of type Aspect
Modifier and Type
Method
Description
`boolean`
RunLevel.`aspectEnabled(Aspect aspect)`
`void`
RunLevel.`checkAspect(Aspect aspect)`